> For the complete documentation index, see [llms.txt](https://docs.xplorpay.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xplorpay.com/api-reference/api/payments/gateway-settings/transaction-alert-settings.md).

# Transaction Alert Settings

## Get transaction alert settings

> Retrieve the current transaction alert settings configured for a merchant.

```json
{"openapi":"3.0.1","info":{"title":"Gateway Settings API","version":"2.0"},"paths":{"/rest/v2/settings/merchant/transaction-alert":{"get":{"tags":["Transaction Alert Settings"],"summary":"Get transaction alert settings","description":"Retrieve the current transaction alert settings configured for a merchant.","operationId":"getSettings_8","responses":{"200":{"description":"ok","content":{"application/json":{"schema":{"$ref":"#/components/schemas/transactionAlertSettingsPayload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/transactionAlertSettingsPayload"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}}}}}}}},"components":{"schemas":{"transactionAlertSettingsPayload":{"type":"object","properties":{"alert-settings":{"$ref":"#/components/schemas/alert-settings"},"payloadType":{"type":"string","description":"Type of payload returned.","xml":{"name":"type","attribute":true}}},"description":"Transaction alert configuration details.","xml":{"name":"payload"}},"alert-settings":{"type":"object","properties":{"merchantId":{"type":"string","description":"Merchant identifier associated with the alert settings."},"terminalId":{"type":"string","description":"Terminal identifier associated with the alert settings."},"emails":{"type":"string","description":"Email address to receive transaction alerts."},"callbackUrl":{"type":"string","description":"URL to which transaction result notifications are sent."}},"xml":{"name":"alert-settings"}},"ErrorPayloadResponsePayload":{"type":"object","properties":{"error":{"$ref":"#/components/schemas/ErrorPayload"},"payloadType":{"type":"string","description":"Type of payload returned in the response.","xml":{"name":"type","attribute":true}}},"description":"Payload","xml":{"name":"payload"}},"ErrorPayload":{"type":"object","properties":{"error-message":{"type":"string","description":"Describes the reason for the error."},"result-code":{"type":"string","description":"Numeric code that identifies the type of error returned by the request."},"time-stamp":{"type":"string","description":"Date and time when the error occurred, ISO 8601 format (UTC)."}},"xml":{"name":"error"}}}}}
```

## Create transaction alert settings

> Create a transaction alert controller settings for a merchant.

```json
{"openapi":"3.0.1","info":{"title":"Gateway Settings API","version":"2.0"},"paths":{"/rest/v2/settings/merchant/transaction-alert":{"post":{"tags":["Transaction Alert Settings"],"summary":"Create transaction alert settings","description":"Create a transaction alert controller settings for a merchant.","operationId":"createSetting_1","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/alert-settings"}}},"required":true},"responses":{"200":{"description":"ok","content":{"application/json":{"schema":{"$ref":"#/components/schemas/transactionAlertSettingsPayload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/transactionAlertSettingsPayload"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}}}}}}}},"components":{"schemas":{"alert-settings":{"type":"object","properties":{"merchantId":{"type":"string","description":"Merchant identifier associated with the alert settings."},"terminalId":{"type":"string","description":"Terminal identifier associated with the alert settings."},"emails":{"type":"string","description":"Email address to receive transaction alerts."},"callbackUrl":{"type":"string","description":"URL to which transaction result notifications are sent."}},"xml":{"name":"alert-settings"}},"transactionAlertSettingsPayload":{"type":"object","properties":{"alert-settings":{"$ref":"#/components/schemas/alert-settings"},"payloadType":{"type":"string","description":"Type of payload returned.","xml":{"name":"type","attribute":true}}},"description":"Transaction alert configuration details.","xml":{"name":"payload"}},"ErrorPayloadResponsePayload":{"type":"object","properties":{"error":{"$ref":"#/components/schemas/ErrorPayload"},"payloadType":{"type":"string","description":"Type of payload returned in the response.","xml":{"name":"type","attribute":true}}},"description":"Payload","xml":{"name":"payload"}},"ErrorPayload":{"type":"object","properties":{"error-message":{"type":"string","description":"Describes the reason for the error."},"result-code":{"type":"string","description":"Numeric code that identifies the type of error returned by the request."},"time-stamp":{"type":"string","description":"Date and time when the error occurred, ISO 8601 format (UTC)."}},"xml":{"name":"error"}}}}}
```

## Delete transaction alert settings

> Delete the current transaction alert settings configured for a merchant.

```json
{"openapi":"3.0.1","info":{"title":"Gateway Settings API","version":"2.0"},"paths":{"/rest/v2/settings/merchant/transaction-alert":{"delete":{"tags":["Transaction Alert Settings"],"summary":"Delete transaction alert settings","description":"Delete the current transaction alert settings configured for a merchant.","operationId":"deleteSetting","responses":{"200":{"description":"ok","content":{"application/json":{"schema":{"$ref":"#/components/schemas/transactionAlertSettingsPayload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/transactionAlertSettingsPayload"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}}}}}}}},"components":{"schemas":{"transactionAlertSettingsPayload":{"type":"object","properties":{"alert-settings":{"$ref":"#/components/schemas/alert-settings"},"payloadType":{"type":"string","description":"Type of payload returned.","xml":{"name":"type","attribute":true}}},"description":"Transaction alert configuration details.","xml":{"name":"payload"}},"alert-settings":{"type":"object","properties":{"merchantId":{"type":"string","description":"Merchant identifier associated with the alert settings."},"terminalId":{"type":"string","description":"Terminal identifier associated with the alert settings."},"emails":{"type":"string","description":"Email address to receive transaction alerts."},"callbackUrl":{"type":"string","description":"URL to which transaction result notifications are sent."}},"xml":{"name":"alert-settings"}},"ErrorPayloadResponsePayload":{"type":"object","properties":{"error":{"$ref":"#/components/schemas/ErrorPayload"},"payloadType":{"type":"string","description":"Type of payload returned in the response.","xml":{"name":"type","attribute":true}}},"description":"Payload","xml":{"name":"payload"}},"ErrorPayload":{"type":"object","properties":{"error-message":{"type":"string","description":"Describes the reason for the error."},"result-code":{"type":"string","description":"Numeric code that identifies the type of error returned by the request."},"time-stamp":{"type":"string","description":"Date and time when the error occurred, ISO 8601 format (UTC)."}},"xml":{"name":"error"}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.xplorpay.com/api-reference/api/payments/gateway-settings/transaction-alert-settings.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
